Modify OpenID Connect App Details
Updates details of existing OpenID Connect app
Path Parameters
- name string required
name of OpenId Connect app
- application/json
Request Body
- description string
OpenId Connect description
- enabled boolean
Boolean to indicate whether OpenId Connect app is enabled.
- type string required
Third-party app type (always OPENIDCONNECT)
identityProviderMetaData object
OpenId Connect IDP meta data request
clientId stringIdentity provider client ID
discoveryEndpointUrl stringIdentity provider discovery endpoint URL
clientSecret stringIdentity provider client secret
associations object
companies object[]
Companies associated with SAML app
id int32name stringdomains object[]
Domains associated with SAML app
id int32name stringuserGroups object[]
user groups associated with SAML app
id int32name stringusers object[]
users associated with SAML app
id int32name string
Responses
- 200
- 400
- 500
OK
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
- appKey string
{
"errorMessage": "string",
"errorCode": 0,
"appKey": "string"
}
Bad Request
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Internal Server Error
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Loading...